Skip to main content
GET
/
computes
/
specifications
List compute specifications
curl --request GET \
  --url https://api.strettch.cloud/api/v1/computes/specifications \
  --header 'Authorization: Bearer <token>'
{
  "message": "Operation successful",
  "requestId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
  "success": true,
  "timestamp": "2024-01-15T10:00:00Z",
  "meta": {
    "total": 42,
    "page": 1,
    "limit": 20
  },
  "data": [
    {
      "id": "41720b60-c094-4ae7-b6fa-0966451993db",
      "vcpus": 2,
      "memoryMb": 8000,
      "storageGb": 160
    }
  ]
}

Response Error Codes

The following table lists the programmatic error codes that this endpoint may return in the code field of the error response.
CodeHTTP StatusDescription
UNAUTHORIZED401Authentication failed or was not provided.
TOO_MANY_REQUESTS429You have exceeded the rate limit.
INTERNAL_SERVER_ERROR500An unexpected error occurred on our end.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

OK

message
string
Example:

"Operation successful"

requestId
string
Example:

"f47ac10b-58cc-4372-a567-0e02b2c3d479"

success
boolean
Example:

true

timestamp
string
Example:

"2024-01-15T10:00:00Z"

meta
object
data
object[]